#include "C:\_PROJEKTE\14_Andreas\12_TwinCat\WAGO_IO Link Master\Advanced_Gripping.h"


/* The implemenation templates */
BOOL UDT_ADVANCED_INinit(UDT_ADVANCED_INtyp* inst, BOOL bRetain)
{
	inst->N_STATUSWORD = 0;
	inst->N_DIAGNOSE = 0;
	inst->N_ACTUALPOSITION = 0;
	return bRetain;
}

BOOL UDT_ADVANCED_OUTinit(UDT_ADVANCED_OUTtyp* inst, BOOL bRetain)
{
	inst->N_CONTROLWORD = 0;
	inst->N_DEVICEMODE = 0;
	inst->N_WORKPIECENO = 0;
	inst->N_RESERVE = 0;
	inst->N_POSITIONTOLERANCE = 0;
	inst->N_GRIPFORCE = 0;
	inst->N_DRIVEVELOCITY = 0;
	inst->N_BASEPOSITION = 0;
	inst->N_SHIFTPOSITION = 0;
	inst->N_TEACHPOSITION = 0;
	inst->N_WORKPOSITION = 0;
	return bRetain;
}

void ADVANCED_GRIPPING(ADVANCED_GRIPPINGtyp* inst)
{
}

BOOL ADVANCED_GRIPPINGinit(ADVANCED_GRIPPINGtyp* inst, BOOL bRetain)
{
	/* Initializing Function Block components */
	inst->NSTEPMOTOROFF = 0;
	inst->NSTEP = 0;
	inst->GREIFER_IN_BEWEGUNG = FALSE;
	TONinitmac(&inst->ZEIT_BEWEGUNG, bRetain);
	inst->BEWEGUNG_TIMEOUT = FALSE;
	inst->UEBERNAHME_TIMEOUT = FALSE;
	TONinitmac(&inst->ZEIT_UEBERNAHME, bRetain);
	inst->ABGELAUFENE_ZEIT_UEBERNAHME = 0UL;
	inst->T_BEWEGUNGSZEIT = 0UL;
	inst->B_SCHRITT_RUECKSETZEN = FALSE;
	inst->B_STARTE_HOMING = FALSE;
	inst->B_MOTOR_EIN = FALSE;
	inst->B_MOTOR_AUS = FALSE;
	inst->B_RICHTUNGWORKPOSITION = FALSE;
	inst->B_RICHTUNGBASEPOSITION = FALSE;
	inst->B_JOGMODEWORK = FALSE;
	inst->B_JOGMODEBASE = FALSE;
	inst->B_PERIODDRIVE = FALSE;
	inst->B_RESETRICHTUNGSMERKER = FALSE;
	UDT_ADVANCED_INinitmac(&inst->UDT_GRIPPER_IN, bRetain);
	inst->N_DEVICEMODE = 0;
	inst->N_BASEPOS = 0;
	inst->N_SHIFTPOS = 0;
	inst->N_TEACHPOS = 0;
	inst->N_WORKPOS = 0;
	inst->N_GRIPFORCE = 0;
	inst->N_DRIVEVELOCITY = 0;
	inst->N_POSTOLERANCE = 0;
	inst->N_WORKPIECENO = 0;
	inst->B_FEHLERDATENUEBERNAHME = FALSE;
	inst->B_FEHLERBEWEGUNG = FALSE;
	inst->B_SCHRITT_AKTIV = FALSE;
	inst->B_SCHRITT_ERLEDIGT = FALSE;
	UDT_ADVANCED_OUTinitmac(&inst->UDT_GRIPPER_OUT, bRetain);
	inst->B_HOMINGPOSITIONOK = FALSE;
	inst->B_MOTORAN = FALSE;
	inst->B_INBEWEGUNG = FALSE;
	inst->B_BEWEGUNGKOMPLETT = FALSE;
	inst->B_JOGMODEBASEACTIVE = FALSE;
	inst->B_JOGMODEWORKACTIVE = FALSE;
	inst->B_GREIFERSTEUERUNGAKTIV = FALSE;
	inst->B_CONTROLLERERROR = FALSE;
	inst->B_BASEPOSITION = FALSE;
	inst->B_TEACHPOSITION = FALSE;
	inst->B_WORKPOSITION = FALSE;
	inst->B_UNDEFINIERTEPOSITION = FALSE;
	inst->B_DATENUEBERNAHMEOK = FALSE;
	inst->B_CONTROLWORD_100 = FALSE;
	inst->B_CONTROLWORD_200 = FALSE;
	inst->B_ERROR = FALSE;
	inst->N_ACTUALPOSITION = 0;
	inst->N_DIAGNOSE = 0;
	if (bRetain)
		return bRetain;

	/* Initalize the retain variables only if bRetain is FALSE */
	return bRetain;
}

void MAIN(void)
{
}

