typedef struct
{
	WORD N_STATUSWORD;
	WORD N_DIAGNOSE;
	WORD N_ACTUALPOSITION;
}
UDT_ADVANCED_INtyp;

typedef struct
{
	WORD N_CONTROLWORD;
	BYTE N_DEVICEMODE;
	BYTE N_WORKPIECENO;
	BYTE N_RESERVE;
	BYTE N_POSITIONTOLERANCE;
	BYTE N_GRIPFORCE;
	BYTE N_DRIVEVELOCITY;
	WORD N_BASEPOSITION;
	WORD N_SHIFTPOSITION;
	WORD N_TEACHPOSITION;
	WORD N_WORKPOSITION;
}
UDT_ADVANCED_OUTtyp;

typedef struct
{
	INT NSTEPMOTOROFF;
	INT NSTEP;
	BOOL GREIFER_IN_BEWEGUNG;
	TONtyp ZEIT_BEWEGUNG;
	BOOL BEWEGUNG_TIMEOUT;
	BOOL UEBERNAHME_TIMEOUT;
	TONtyp ZEIT_UEBERNAHME;
	DWORD ABGELAUFENE_ZEIT_UEBERNAHME;
	DWORD T_BEWEGUNGSZEIT;
	BOOL B_SCHRITT_RUECKSETZEN;
	BOOL B_STARTE_HOMING;
	BOOL B_MOTOR_EIN;
	BOOL B_MOTOR_AUS;
	BOOL B_RICHTUNGWORKPOSITION;
	BOOL B_RICHTUNGBASEPOSITION;
	BOOL B_JOGMODEWORK;
	BOOL B_JOGMODEBASE;
	BOOL B_PERIODDRIVE;
	BOOL B_RESETRICHTUNGSMERKER;
	UDT_ADVANCED_INtyp UDT_GRIPPER_IN;
	BYTE N_DEVICEMODE;
	WORD N_BASEPOS;
	WORD N_SHIFTPOS;
	WORD N_TEACHPOS;
	WORD N_WORKPOS;
	BYTE N_GRIPFORCE;
	BYTE N_DRIVEVELOCITY;
	BYTE N_POSTOLERANCE;
	BYTE N_WORKPIECENO;
	BOOL B_FEHLERDATENUEBERNAHME;
	BOOL B_FEHLERBEWEGUNG;
	BOOL B_SCHRITT_AKTIV;
	BOOL B_SCHRITT_ERLEDIGT;
	UDT_ADVANCED_OUTtyp UDT_GRIPPER_OUT;
	BOOL B_HOMINGPOSITIONOK;
	BOOL B_MOTORAN;
	BOOL B_INBEWEGUNG;
	BOOL B_BEWEGUNGKOMPLETT;
	BOOL B_JOGMODEBASEACTIVE;
	BOOL B_JOGMODEWORKACTIVE;
	BOOL B_GREIFERSTEUERUNGAKTIV;
	BOOL B_CONTROLLERERROR;
	BOOL B_BASEPOSITION;
	BOOL B_TEACHPOSITION;
	BOOL B_WORKPOSITION;
	BOOL B_UNDEFINIERTEPOSITION;
	BOOL B_DATENUEBERNAHMEOK;
	BOOL B_CONTROLWORD_100;
	BOOL B_CONTROLWORD_200;
	BOOL B_ERROR;
	WORD N_ACTUALPOSITION;
	WORD N_DIAGNOSE;
}
ADVANCED_GRIPPINGtyp;


/* Enum definitions */


/* The Prototypes */
BOOL UDT_ADVANCED_INinit(UDT_ADVANCED_INtyp* inst, BOOL bRetain);
BOOL UDT_ADVANCED_OUTinit(UDT_ADVANCED_OUTtyp* inst, BOOL bRetain);
void ADVANCED_GRIPPING(ADVANCED_GRIPPINGtyp* inst);
BOOL ADVANCED_GRIPPINGinit(ADVANCED_GRIPPINGtyp* inst, BOOL bRetain);
void MAIN(void);
;
